package com.macro.mall.tiny.modules.business.service.impl;

import com.macro.mall.tiny.common.service.RedisService;
import com.macro.mall.tiny.modules.business.model.BProvince;
import com.macro.mall.tiny.modules.business.service.BProvinceCacheService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author gjs
 * @description 省份缓存管理Service实现类
 * @date 2021/3/19 0:32
 */
@Service
public class BProvinceCacheServiceImpl implements BProvinceCacheService {

    @Autowired
    private RedisService redisService;
    @Value("${redis.database}")
    private String REDIS_DATABASE;
    @Value("${redis.expire.common}")
    private Long REDIS_EXPIRE;
    @Value("${business:provinceList}")
    private String REDIS_KEY_PROVINCE_LIST;

    @Override
    public List<BProvince> getProvinceList() {
        String key = REDIS_DATABASE + ":" + REDIS_KEY_PROVINCE_LIST;
        return (List<BProvince>) redisService.get(key);
    }

    @Override
    public void setProvinceList(List<BProvince> provinceList) {
        String key = REDIS_DATABASE + ":" + REDIS_KEY_PROVINCE_LIST;
        redisService.set(key, provinceList, REDIS_EXPIRE);
    }
}
